SessionHandler::close
SessionHandler::gc
SessionHandler
PHP Manual

# SessionHandler::destroy

(PHP 5 >= 5.4.0)

SessionHandler::destroy — Destroy a session

### Description

public bool SessionHandler::destroy ( string `$session_id` )

Destroys a session. Called by internally by PHP with session_regenerate_id() (assuming the `$destory` is set to `TRUE`, by session_destroy() or when session_decode() fails.

This method wraps the internal PHP save handler defined in the session.save_handler ini setting that was set before this handler was set by session_set_save_handler().

If this class is extended by inheritiance, calling the parent `destroy` method will invoke the wrapper for this method and therefor invoke the associated internal callback. This allows this method to be overidden and or intercepted and filtered.

For more information on what this method is expected to do, please refer to the documentation at SessionHandlerInterface::destroy().

### Parameters

`session_id`

  The session ID being destroyed.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.

SessionHandler::close
SessionHandler::gc
SessionHandler
PHP Manual